<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author 		felipe.cadena
@description  	Página para la carga de trabajo de los avaluadores
@ManagedBean 	ConsultaCargaTrabajoMB
@CU				CU-SA-AC-010 - Consultar Carga de Trabajo
@version  		1.0

-->

<h:form id="consultarCargaTrabajoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />
    <p:messages id="msgsBusquedaAvaluos" showDetail="false"
                globalOnly="false" />

    <p:fieldset>

        <h:panelGrid columns="2" cellspacing="5" cellpadding="5">

            <h:outputLabel value="Nombre profesional: " styleClass="outputLabelStyle" />

            <h:inputText            
                value="#{consultaCargaTrabajo.nombreProfesional}"
                id="numRadicacion" label="Nombre profesional:" maxlength="50">
            </h:inputText>

        </h:panelGrid>

        <p:spacer height="0" width="20" />
        <p:commandButton id="buscarBtn"
                         value="Buscar"
                         process="consultarCargaTrabajoForm"
                         action="#{consultaCargaTrabajo.buscarAvaluadores}"
                         icon="ui-icon-search" immediate="false"  ajax="true"
                         update=":consultarCargaTrabajoForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();" />

    </p:fieldset>

    <p:spacer height="10" />
    <p:fieldset>
        <legend>
            <h:outputText value="Información de avaluadores" 
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" cellspacing="7" width="100%">
            <p:dataTable var="avaluador" paginatorPosition="bottom"
                         paginator="true" rows="10"
                         value="#{consultaCargaTrabajo.listaAvaluadores}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                         {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowKey="#{avaluador.profesionalAvaluosId}"
                         emptyMessage="No hay avaluadores asociados al sec. radicado seleccionado.">

                <f:facet name="header">  
                    Avaluadores asociados a la consulta
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Opciones &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                    </f:facet>

                    <p:commandButton id="controlCalidadBtn"
                                     icon="ui-icon-check" title="Ver control de calidad avalúos en proceso"
                                     action="#{consultaCargaTrabajo.buscarControlCalidadAvaluosProceso}"
                                     onstart="statusDialog2.show();"
                                     update=":avaluosDialog"             
                                     oncomplete="statusDialog2.hide();avaluosWV.show()">
                        <f:setPropertyActionListener
                            target="#{consultaCargaTrabajo.profesionalSeleccionado}"
                            value="#{avaluador}" />
                    </p:commandButton>

                    <p:commandButton id="controlCalidadProcesoBtn"
                                     icon="ui-icon-circle-check" title="Ver control de calidad avalúos realizados"
                                     action="#{consultaCargaTrabajo.buscarControlCalidadRealizados}"
                                     onstart="statusDialog2.show();"
                                     update=":avaluosDialog"                     
                                     oncomplete="statusDialog2.hide();avaluosWV.show()">
                        <f:setPropertyActionListener
                            target="#{consultaCargaTrabajo.profesionalSeleccionado}"
                            value="#{avaluador}" />
                    </p:commandButton>
                    <p:commandButton id="historicoBtn"
                                     icon="ui-icon-note" title="Ver historico avalúos"
                                     action="#{consultaCargaTrabajo.procesarHistoricoAvaluos}"
                                     onstart="statusDialog2.show();"
                                     update=":historicoDialog"
                                     oncomplete="statusDialog2.hide();historicoWV.show()">
                        <f:setPropertyActionListener
                            target="#{consultaCargaTrabajo.profesionalSeleccionado}"
                            value="#{avaluador}" />
                    </p:commandButton>


                </p:column>
                <p:column headerText="Nombre profesional">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.nombreCompleto}" />
                </p:column>
                <p:column headerText="Tipo contrato">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.tipoVinculacion}" />
                </p:column>
                <p:column headerText="Fecha contrato">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.fechaDesde}">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                    </h:outputText>     
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Avalúos <br /> realizados
                    </f:facet>

                    <p:commandLink id="avaluosRealizadosLink"
                                   styleClass="commandLinkStyle"
                                   value="#{avaluador.avaluosRealizados}"
                                   action="#{consultaCargaTrabajo.buscarAvaluosRealizados}"
                                   onstart="statusDialog2.show();"
                                   title="Ver detalle"
                                   update=":avaluosProfesionalForm"
                                   oncomplete="statusDialog2.hide();avaluosWV.show()">
                        <f:setPropertyActionListener
                            target="#{consultaCargaTrabajo.profesionalSeleccionado}"
                            value="#{avaluador}" />
                    </p:commandLink>
                </p:column>
                <p:column >
                    <f:facet name="header">
                        Avalúos <br /> en <br />  proceso
                    </f:facet>
                    <p:commandLink id="avaluosProcesoLink"
                                   styleClass="commandLinkStyle"
                                   value="#{avaluador.avaluosEnproceso}"
                                   action="#{consultaCargaTrabajo.buscarAvaluosEnProceso}"
                                   onstart="statusDialog2.show();"
                                   title="Ver detalle"
                                   update=":avaluosProfesionalForm" 
                                   oncomplete="statusDialog2.hide();avaluosWV.show()">
                        <f:setPropertyActionListener
                            target="#{consultaCargaTrabajo.profesionalSeleccionado}"
                            value="#{avaluador}" />
                    </p:commandLink>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Control de <br /> calidad <br /> avalúos
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.avaluosEnccalidad}" />
                </p:column>
                <p:column headerText="Valor contrato">
                    <h:outputText styleClass="outputTextStyle" id="valorContrato"
                                  value="#{avaluador.valorTotalContrato}">
                        <f:converter converterId="converterMoneda" for="valorContrato" />
                    </h:outputText>
                </p:column>
                <p:column >
                    <f:facet name="header">
                        Saldo <br /> por pagar
                    </f:facet>
                    <h:outputText id="saldo" styleClass="outputTextStyle"
                                  value="#{avaluador.valorTotalContrato-avaluador.valorComprometido}">
                        <f:converter converterId="converterMoneda" for="saldo" />
                    </h:outputText>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Valor <br /> comprometido
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle" id="valorCom"
                                  value="#{avaluador.valorComprometido}">
                        <f:converter converterId="converterMoneda" for="valorCom" />
                    </h:outputText>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Calificación <br /> promedio <br /> avalúos
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.calificacionPromedio}" />
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

</h:form>
